#include<iostream.h>
#include<iomanip.h>
#include<math.h>
 int main()
{
 float a,b,c,p,s;
 cout<<"请输入三角形的三条边："<<endl;//提示用户输入
 cin>>a>>b>>c;
 if(a+b>c&&a+c>b&&b+c>a)
 {
  cout<<"可以构成三角形"<<endl;
  p=(a+b+c)/2;
  s=sqrt(p*(p-a)*(p-b)*(p-c));
  cout<<"s="<<setw(5)<<setprecision(3)<<s<<endl;
 }
 else
  cout<<"无法构成三角形"<<endl;
 return(0);
}